> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/spreadsheet-editor/view-mode.md).

# Spreadsheet Editor - View Mode

Apryse Spreadsheet Editor delivers Excel-like XLSX editing in the browser—part of the Web SDK Office suite. Easily integrates with JavaScript frameworks like React, Angular, Vue, Nuxt.js, or Next.js,

{% hint style="info" %}
**Requirements**

*These packages are required to use these features in production. Trial keys have unlimited access to all features*

<a href="/web/get-started/readme.md" class="button primary">Web SDK</a><a href="https://apryse.com/capabilities#SpreadsheetEditor" class="button primary">Package: Spreadsheet Editor</a><a href="https://showcase.apryse.com/spreadsheet-editor" class="button primary">Live demo</a>
{% endhint %}

View mode allows users to navigate spreadsheets using a familiar grid interface. View calculated cells and formulas, and change workbook sheets without making unexpected changes.

{% hint style="info" %}
Spreadsheet Editor must be purchased as an [add-on to your Web SDK subscription.](https://apryse.com/capabilities)
{% endhint %}

![spreadsheet editor sample](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-71fc08bd24f763998953beade2800cda749acf5c%2F69ed8dea17d18c2f20967e9ce714b5150eb225a3-3024x1714.png?alt=media)

## APIs

The Spreadsheet Editor APIs provide access to editor state and functionality, enabling you to monitor, customize, and control spreadsheet experiences in your application. For event-driven workflows, see Spreadsheet Editor [Events](/web/spreadsheet-editor/events.md) to learn how to subscribe to editor, worksheet, cell, and formula bar events.

### Get current edit mode

Use the `getEditMode` [API](https://sdk.apryse.com/api/web/Core.SpreadsheetEditor.SpreadsheetEditorManager.html#getEditMode__anchor) to check the current editor mode:

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
WebViewer(...)
  .then(instance => {
    const { documentViewer } = instance.Core;
    const spreadsheetEditorManager = documentViewer.getSpreadsheetEditorManager();
    const spreadsheetMode = spreadsheetEditorManager.getEditMode();
    console.log(spreadsheetMode); // 'viewOnly'
  });
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/spreadsheet-editor/view-mode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
